This article lists all the requirements necessary to install, configure, and use Appspace 7.1 on-prem.

Use this information to ensure you are always working with an Appspace supported and optimized system for hardware, operating system, network, and browsers.

Important

These are guidelines only. Exact specifications may vary based on deployment type and business requirements. Your system administrator must ensure the hardware specifications are able to meet your content needs and can sufficiently scale as required.

Hardware Specifications

The table below lists the minimum and recommended system requirements, necessary to run an efficient Appspace on-prem server.

Feature Minimum Specifications Recommended Specifications
CPU 8 CPU Core Processor or equivalent 16 CPU Core Processor or equivalent
Memory 16 GB RAM 32 GB RAM
Storage 500 GB 500 GB SSD
LAN 10+ Mbps 1 Gbps

Important

  • 64-bit OS versions are required.
  • Storage requirements may vary depending on your content requirements.
  • Virtualization is supported on VMware, provided the virtualized environment is configured to match the recommended specifications listed above.
  • If local hard drives are used, we recommend a RAID configuration for its performance and redundancy benefits.
  • Remote storage drives such as SAN and NAS are not supported.

Software Requirements

The table below lists the prerequisite software necessary to host Appspace on an on-prem server. You may choose either one of the database options listed.

Software Versions
Operating System Microsoft Windows Server 2016
.NET Framework Microsoft .NET Framework 4.6.2
Web Server IIS for Windows Server
Database Option 1 MySQL 8.x
MySQL Workbench 8.x (Automatically included during installation of MySQL)
Database Option 2 Microsoft SQL Server 2016 (MS SQL)
SQL Server Management Studio 2016 (Automatically included during installation of MS SQL)

Important

Appspace requires a dedicated database for its on-prem server. Using a shared database is not officially supported, and will impact performance on the server.

Network Requirements

Please ensure your local network that hosts the Appspace on-prem server is configured as per the requirements listed below to ensure a seamless and secure content delivery.

Configure your network, firewall, or proxy servers to allow access to the sites and ports listed below to ensure all registered devices and users on an Appspace on-prem server have uninterrupted access to Appspace Cloud, necessary for content and system updates.

HTTPS
Whitelist URLs
  • https://*.appspace.com
  • https://*.appspaceusercontent.com
  • https://*.appspacestatic.com
  • Any external NTP server (alternative to using an internal NTP server).
  • Any external content sources (e.g RSS feeds and websites).

If your existing network uses a local web/HTTP proxy for outgoing connections to the Internet, grant access to the following websites:

  • World Weather Online (www.worldweatheronline.com) – Mandatory if weather forecasts are for countries outside the US.
  • RSS Sources (various URLs) – Mandatory if you are using RSS widgets.
Network Protocol and Ports

Required

  • HTTPS (443) – HTTPS port 443 open towards Appspace server(s).

Optional

You may configure your firewall to allow access to the following ports only if necessary:

  • HTTP (80) – HTTP redirect of end-users to Appspace server(s).
  • SMTP (25) – E-mail notifications.
  • UDP (123) – For access to NTP packages.
  • TCP/UDP (53) – For access to a DNS server.
  • TCP/UDP 8884 – Application Networking Manager (ANM) trusted communications, if using ANM. On MediaVue SureVue devices only.
  • TCP/UDP (8885-8887) – SureVue mesh networking and ANM communication. On MediaVue SureVue devices only.
  • TCP/UDP (9090) – Chromium debugging services. The port is open by default, but the listening service is disabled. On MediaVue SureVue devices only.

Browser Requirements

Listed below are the supported web browser versions for client machines used to access the Appspace platform.

Browser Microsoft Windows Mac OS
Chrome 77.0.3865.90 (64bit) 77.0.3865.90 (64bit)
Firefox 69.0.2 69.0.2
Internet Explorer 11 11.0.147
Microsoft Edge 44.18362.387.0
Safari 13.0.1

Note

  • Browser versions prior to the ones listed above have not been tested on the latest version of Appspace, and may have limited functionality.
  • In Chrome version 45 and later, NPAPI plug-ins are not supported. In Appspace, Networks uses a Java plug-in for the online device registration tool of legacy devices. Switch to another browser if you are unable to run Java plug-ins.

Additional Browser Requirements:

  • Enable JavaScript on your browser.
  • Disable pop-up blocker.
  • Minimum screen resolution of 1024×768 is recommended.

Next Steps: 

Please proceed to the Install Appspace 7.1 On-Prem article for installation and configuration instructions.

Looking for something else?